### Hierarchy

- Lexer

## Index

### Constructors

- constructor

### Properties

- rules
- tokens

### Methods

- lex

## Constructors

### constructor

- new Lexer(options?: MarkedOptions): Lexer

- - Defined in node_modules/@types/marked/index.d.ts:97

  #### Parameters

  - ##### Optional options: MarkedOptions

  #### Returns Lexer

## Properties

### rules

rules: Rules

- Defined in node_modules/@types/marked/index.d.ts:96

### tokens

tokens: TokensList

- Defined in node_modules/@types/marked/index.d.ts:97

## Methods

### lex

- lex(src: string): TokensList

- - Defined in node_modules/@types/marked/index.d.ts:99

  #### Parameters

  - ##### src: string

  #### Returns TokensList

Generated using TypeDoc